Subject: Re: bug#16051: 24.3.50; Emacs hang - resize frame manually

From: martin rudalics <[email-masked]>
Date: Sat, 07 Dec 2013 15:23:53 +0100

>> Attached find two screenshots.  The Windows one is from a build
 >> configured as
 >>
 >> "CFLAGS='-O0 -g3' ./nt/msysconfig.sh --prefix=/c/emacs/... --enable-checking=yes --enable-gcc-warnings=yes --enable-check-lisp-object-type=yes"
 >>
 >> The XFCE is from a build configured as
 >>
 >> "CFLAGS='-O0 -g3' ./configure --without-tiff --with-x-toolkit=no --enable-checking=yes --enable-check-lisp-object-type=yes"
 >
 > Now I understand why your build doesn't crash: you didn't specify
 > GLYPH_DEBUG.  I build with --enable-checking='yes,glyphs'.  The
 > function where Emacs hits the assertion is not compiled in without
 > GLYPH_DEBUG being defined.

OK.  But Drew's didn't crash either and he talked about a hang IIRC.

 >> Can you say what the build scripts did?
 >
 > Not sure what are you asking.  The Windows build seems indeed to be
 > devoid of XPM,

Yes.  Currently building as

   Does Emacs use -lXaw3d?                                 no
   Does Emacs use -lXpm?                                   no
   Does Emacs use -ljpeg?                                  no
   Does Emacs use -ltiff?                                  no
   Does Emacs use a gif library?                           no
   Does Emacs use -lpng?                                   no
   Does Emacs use -lrsvg-2?                                no
   Does Emacs use imagemagick?                             no

Why did the build script not complain (not that I mind - I rather prefer
it this way)?  Earlier I had to explicitly specify

  --without-xpm --without-png --without-jpeg --without-tiff --without-gif

And BTW what happend to ./nt/msysconfig.sh?  I just noticed

bash: ./nt/msysconfig.sh: No such file or directory

 > but the Unix build does display color icons on the
 > toolbar.  Try using image-type-available-p to see which image types
 > are supported.

All but for tiff, as specified.

martin